org.apache.ignite.internal.processors.continuous

## Class GridContinuousProcessor.LocalRoutineInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.GridContinuousProcessor.LocalRoutineInfo

All Implemented Interfaces:
  Serializable, GridContinuousProcessor.RoutineInfo

Enclosing class:
  GridContinuousProcessor

    public static class GridContinuousProcessor.LocalRoutineInfo
    extends Object
    implements Serializable, GridContinuousProcessor.RoutineInfo

Local routine info.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `autoUnsubscribe()`
`int` `bufferSize()`
`boolean` `delayedRegister()`
`GridContinuousHandler` `handler()`
`long` `interval()`
`long` `lastSendTime()`
`UUID` `nodeId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### handler

    public GridContinuousHandler handler()

Specified by:
  `handler` in interface `GridContinuousProcessor.RoutineInfo`
Returns:
  Handler.

#### bufferSize

    public int bufferSize()

Specified by:
  `bufferSize` in interface `GridContinuousProcessor.RoutineInfo`
Returns:
  Buffer size.

#### interval

    public long interval()

Specified by:
  `interval` in interface `GridContinuousProcessor.RoutineInfo`
Returns:
  Notify interval.

#### autoUnsubscribe

    public boolean autoUnsubscribe()

Specified by:
  `autoUnsubscribe` in interface `GridContinuousProcessor.RoutineInfo`
Returns:
  Auto unsubscribe flag value.

#### lastSendTime

    public long lastSendTime()

Specified by:
  `lastSendTime` in interface `GridContinuousProcessor.RoutineInfo`
Returns:
  Last send time.

#### delayedRegister

    public boolean delayedRegister()

Specified by:
  `delayedRegister` in interface `GridContinuousProcessor.RoutineInfo`
Returns:
  Delayed register flag.

#### nodeId

    public UUID nodeId()

Specified by:
  `nodeId` in interface `GridContinuousProcessor.RoutineInfo`
Returns:
  Master node id.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022